harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: [jira] Commented: (HARMONY-2669) [classlib][charsets] Working with charset ISO-2022-CN crashes DRLVM
Date Tue, 17 Apr 2007 20:26:34 GMT
Gregory Shimansky wrote:
> Below is my evaluation of the bug HARMONY-2669. I think it is in ICU4JNI 
> native code. The possible solution for it is to recompile ICUInterface34 
> libraries from patched sources and file a bug on ICU meanwhile.
> 
> I would like to know, what sources were used to compile ICU4JNI for windows 
> and other operation systems? I found today that ICU4JNI 3.4 contains quite a 
> lot of memory leaks, and there is a patch to fix them in v3.4 [1]. Was it 
> used to compile our binaries (from what I learned while analyzing this bug on 
> windows 32 it *was* used)? I know that I didn't use it when I compiled ICU 
> for IPF because I learned about its existence only today. Are there any other 
> patches for ICU code that we need to use for version 3.4?
> 
> [1] 
> ftp://ftp.software.ibm.com/software/globalization/icu/icu4j/icu4jni/3.4/icu4jni_3_4_patch-01.zip

Sorry that you had to find it the hard way Gregory.  The ICU4JNI code
does have the patch applied, as described in the readme in the depends'
ICU4JNI directory[1].

[1]
http://svn.apache.org/viewvc/harmony/enhanced/classlib/trunk/depends/jars/icu4jni_3.4/README.txt?revision=492523&view=markup

Regards,
Tim

Mime
View raw message